# Generated by Django 4.2.7 on 2024-04-18 17:04

from django.db import migrations, models
import django.utils.timezone
import model_utils.fields
import uuid


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Consent",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now,
                        editable=False,
                        verbose_name="created",
                    ),
                ),
                (
                    "modified",
                    model_utils.fields.AutoLastModifiedField(
                        default=django.utils.timezone.now,
                        editable=False,
                        verbose_name="modified",
                    ),
                ),
                ("shown_once", models.BooleanField(default=False)),
                (
                    "user_consented",
                    models.BooleanField(
                        default=True,
                        verbose_name=(
                            "Help improve OpenWISP by allowing the collection "
                            "of anonymous usage metrics."
                        ),
                        help_text=(
                            "These statistics help us prioritize features, "
                            " fix bugs, and better support real-world usage,"
                            " all without collecting any personal data. "
                            '<a href="https://openwisp.io/docs/user/usage-metric-collection.html"'
                            ' target="_blank">Learn more about why we collect metrics</a>.'
                        ),
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="OpenwispVersion",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                (
                    "created",
                    model_utils.fields.AutoCreatedField(
                        default=django.utils.timezone.now,
                        editable=False,
                        verbose_name="created",
                    ),
                ),
                ("module_version", models.JSONField(blank=True, default=dict)),
            ],
            options={
                "ordering": ("-created",),
            },
        ),
    ]
